
cl = 0.001;

n = 6;

Point(1) = {0,0,0,cl};
Point(2) = {1,0,0,cl};
Point(3) = {1,1,0,cl};
Point(4) = {0,1,0,cl};
Point(5) = {0.2,0.2,-0,cl};
Point(6) = {0.6,0.2,0,cl};
Point(7) = {0.6,0.4,0,cl};
Point(8) = {0.2,0.4,-0,cl};
Point(9) = {0,0.7,-0,cl};
Point(10) = {0.7,0.7,0,cl};
Point(11) = {0.7,0.6,0,cl};
Point(12) = {0,0.6,-0,cl};
Point(13) = {0.7,1,0,cl};
Point(14) = {0.2,0,0,cl};
Point(15) = {0.6,-0,0,cl};
Point(16) = {1,0.2,0,cl};
Point(17) = {1,0.4,0,cl};
Point(18) = {-0,0.4,0,cl};
Point(19) = {0.2,0.6,0,cl};
Point(20) = {0.6,0.6,0,cl};
Point(21) = {1,0.7,0,cl};
Point(22) = {1,0.6,0,cl};
Point(23) = {0.7,0.4,0,cl};
Point(24) = {0.7,0.2,0,cl};
Point(25) = {0.7,0,0,cl};
Point(26) = {-0,0.2,0,cl};

Line(1) = {4,13};
Line(2) = {13,10};
Line(3) = {10,9};
Line(4) = {9,4};
Line(5) = {12,19};
Line(6) = {19,8};
Line(7) = {8,18};
Line(8) = {18,12};
Line(9) = {18,26};
Line(10) = {26,5};
Line(11) = {8,5};
Line(12) = {19,20};
Line(13) = {20,7};
Line(14) = {7,8};
Line(15) = {20,11};
Line(16) = {11,23};
Line(17) = {23,7};
Line(18) = {7,6};
Line(19) = {6,24};
Line(20) = {24,23};
Line(21) = {5,14};
Line(22) = {14,1};
Line(23) = {1,26};
Line(24) = {14,15};
Line(25) = {15,6};
Line(26) = {6,5};
Line(27) = {25,15};
Line(28) = {25,24};
Line(29) = {25,2};
Line(30) = {2,2};
Line(31) = {16,2};
Line(32) = {16,24};
Line(33) = {16,17};
Line(34) = {17,23};
Line(35) = {17,22};
Line(36) = {22,11};
Line(37) = {22,21};
Line(38) = {21,10};
Line(39) = {10,11};
Line(40) = {21,3};
Line(41) = {3,13};

Line Loop(42) = {4,1,2,3};
Plane Surface(43) = {42};
Line Loop(44) = {2,-38,40,41};
Plane Surface(45) = {44};
Line Loop(46) = {38,39,-36,37};
Plane Surface(47) = {46};
Line Loop(48) = {36,16,-34,35};
Plane Surface(49) = {48};
Line Loop(50) = {34,-20,-32,33};
Plane Surface(51) = {50};
Line Loop(52) = {20,17,18,19};
Plane Surface(53) = {52};
Line Loop(54) = {32,-28,29,-31};
Plane Surface(55) = {54};
Line Loop(56) = {15,16,17,-13};
Plane Surface(57) = {56};
Line Loop(58) = {28,-19,-25,-27};
Plane Surface(59) = {58};
Line Loop(60) = {26,21,24,25};
Plane Surface(61) = {60};
Line Loop(62) = {22,23,10,21};
Plane Surface(63) = {62};
Line Loop(64) = {11,-10,-9,-7};
Plane Surface(65) = {64};
Line Loop(66) = {7,8,5,6};
Plane Surface(67) = {66};
Line Loop(68) = {12,13,14,-6};
Plane Surface(69) = {68};

Recombine Surface {43,45,47,49,51,55,59,53,57,69,67,65,63,61};

Transfinite Surface {43} = {4,13,10,9};
Transfinite Surface {45} = {13,3,21,10};
Transfinite Surface {47} = {21,22,11,10};
Transfinite Surface {49} = {11,22,17,23};
Transfinite Surface {51} = {23,17,16,24};
Transfinite Surface {55} = {24,16,2,25};
Transfinite Surface {59} = {6,24,25,15};
Transfinite Surface {53} = {7,23,24,6};
Transfinite Surface {57} = {20,11,23,7};
Transfinite Surface {69} = {20,7,8,19};
Transfinite Surface {67} = {19,8,18,12};
Transfinite Surface {65} = {8,5,26,18};
Transfinite Surface {63} = {5,14,1,26};
Transfinite Surface {61} = {14,5,6,15};

Transfinite Line {4,2,40} = n*3+1 Using Progression 1;
Transfinite Line {39,37} = n+1 Using Progression 1;
Transfinite Line {8,6,13,16,35} = n*2+1 Using Progression 1;
Transfinite Line {9,11,18,20,33} = n*2+1 Using Progression 1;
Transfinite Line {23,21,25,28,31} = n*2+1 Using Progression 1;
Transfinite Line {1,3} = n*7+1 Using Progression 1;
Transfinite Line {5,7,10,22} = n*2+1 Using Progression 1;
Transfinite Line {12,14,26,24} = n*4+1 Using Progression 1;
Transfinite Line {15,17,19,27} = n+1 Using Progression 1;
Transfinite Line {41,38,36,34,32,29} = 3*n+1 Using Progression 1;

out1[] = Extrude {0,0,0.3} { 
Surface{43}; 
Layers { n*3 }; 
Recombine; 
}; 

out2[] = Extrude {0,0,0.3} { 
Surface{45,47,49,51,55,59,53,57,61,69,67,65,63}; 
Layers { n*3 }; 
Recombine; 
}; 

out3[] = Extrude {0,0,0.3} { 
Surface{91}; 
Layers { n*3 }; 
Recombine; 
}; 

out4[] = Extrude {0,0,0.3} { 
Surface{113,135,157,179,201,223,289,267,245}; 
Layers { n*3 }; 
Recombine; 
}; 

out5[] = Extrude {0,0,0.2} { 
Surface{399,421,443,465,487,509}; 
Layers { n*2 }; 
Recombine; 
}; 

out6[] = Extrude {0,0,0.2} { 
Surface{641,663,685}; 
Layers { n*2 }; 
Recombine; 
}; 

// Outlet
Physical Surface(1) = {619,751,773,795,707,729,531,553,311,333,355,377,597,575};

// Walls
Physical Surface(2) =  {606,386,78,90,398,618,654,434,126,764,786,676,698,720,738,574,592,324,350,368,544,364,284,548,530,222,196,504,724,240,276,540,43,45,47,51,55,59,61,63,65,67,306,57,69,53,310,298,254,328,82,112,420,390,610,640,750,108,134,156,178,200,508,486,728,706,684,464,416,442,662,636,746,772,794,342,49,562};

// Box volume 
Physical Volume(1) = {1,15};
Physical Volume(2) = {25,12,13,14,11,10,7,22,6,8,5,4,9,2,16,23,3,17,18,24,19,21,20,30,29,28,27,26,31,32,33};

