
lc = 0.5;

dx = 1.0;
dy = 1.0;
dz = 5.0;

nx = 40;
ny = 40;
nz = 1;

cx = dx / nx;
cy = dy / ny;
cz = dz / nz;

Point(1) = {0.0,0.0,0.0,lc};
Point(2) = {dx,0.0,0.0,lc};
Point(3) = {dx,dy,0.0,lc};
Point(4) = {0.0,dy,0.0,lc};

Point(5) = {dx*0.5,dy*0.5,0.0,lc};

Point(6) = {dx*0.333,dy*0.333,0.0,lc};
Point(7) = {dx*0.333,dy*0.666,0.0,lc};
Point(8) = {dx*0.666,dy*0.666,0.0,lc};
Point(9) = {dx*0.666,dy*0.333,0.0,lc};

Point(10) = {0.0,dy*0.333,0.0,lc};
Point(11) = {dx,dy*0.333,0.0,lc};

Point(12) = {0.0,dy*0.666,0.0,lc};
Point(13) = {dx,dy*0.666,0.0,lc};

Point(14) = {dx*0.333,0,0.0,lc};
Point(15) = {dx*0.333,dy,0.0,lc};

Point(16) = {dx*0.666,0,0.0,lc};
Point(17) = {dx*0.666,dy,0.0,lc};

Line(1) = {4,15};
Line(2) = {15,7};
Line(3) = {7,12};
Line(4) = {12,4};
Line(5) = {15,17};
Line(6) = {17,8};
Line(7) = {8,7};
Line(8) = {17,3};
Line(9) = {3,13};
Line(10) = {13,8};
Line(11) = {8,9};
Line(12) = {9,11};
Line(13) = {11,13};
Line(14) = {9,16};
Line(15) = {16,2};
Line(16) = {2,11};
Line(17) = {9,6};
Line(18) = {6,14};
Line(19) = {14,16};
Line(20) = {6,7};
Line(21) = {12,10};
Line(22) = {10,6};
Line(23) = {10,1};
Line(24) = {1,14};
Line Loop(25) = {8,9,10,-6};
Plane Surface(26) = {25};
Line Loop(27) = {13,10,11,12};
Plane Surface(28) = {27};
Line Loop(29) = {7,-2,5,6};
Plane Surface(30) = {29};
Line Loop(31) = {1,2,3,4};
Plane Surface(32) = {31};
Line Loop(33) = {11,17,20,-7};
Plane Surface(34) = {33};
Line Loop(35) = {14,15,16,-12};
Plane Surface(36) = {35};
Line Loop(37) = {17,18,19,-14};
Plane Surface(38) = {37};
Line Loop(39) = {24,-18,-22,23};
Plane Surface(40) = {39};
Line Loop(41) = {21,22,20,3};
Plane Surface(42) = {41};

Transfinite Line {9,8,6,10,13,12,11,14,16,15,19,17,18,22,20,7,2,5,1,3,4,21,23,24} = (nx + ny) * 0.1666 + 1 Using Progression 1.0;
Transfinite Surface {26} = {17,3,13,8};
Transfinite Surface {28} = {8,13,11,9};
Transfinite Surface {36} = {9,11,2,16};
Transfinite Surface {38} = {9,16,14,6};
Transfinite Surface {34} = {8,9,6,7};
Transfinite Surface {30} = {17,8,7,15};
Transfinite Surface {32} = {15,7,12,4};
Transfinite Surface {42} = {12,7,6,10};
Transfinite Surface {40} = {10,6,14,1};
Recombine Surface {26,30,32,42,34,28,36,38,40};

out[] = Extrude {0,0,dz} { 
Surface{26, 28, 30, 32, 34, 36, 38, 40, 42}; 
Layers { 1 }; 
Recombine; 
}; 

// Lid
Physical Surface(241) = {117,103,51};

// Boundary walls
Physical Surface(242) = {129,227,217,205,191,165,169,73,55};

// Interior walls
Physical Surface(243) = {147,95,81,143};

// Empty
Physical Surface(244) = {86,174,196,218,240,152,108,130,64,36,28,26,30,34,42,40,38,32};

Physical Volume(300) = {1,2,6,7,5,3,4,9,8};

