
lc = 0.5;

dx = 0.05;
dy = 0.05;
dz = 1.0;

nz = 80;

Point(1) = {0.0,0.0,0.0,lc};
Point(2) = {dx,0.0,0.0,lc};
Point(3) = {dx,dy,0.0,lc};
Point(4) = {0.0,dy,0.0,lc};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Line Loop(5) = {1,2,3,4};

Plane Surface(6) = {5};

Transfinite Surface {6} = {1,4,3,2};

Recombine Surface {6};

out1[] = Extrude {0,0,dz/3} { 
Surface{6}; 
Layers { nz }; 
Recombine; 
}; 

out2[] = Extrude {0,0,dz/3} { 
Surface{28}; 
Layers { nz }; 
Recombine; 
}; 

out3[] = Extrude {0,0,dz/3} { 
Surface{50}; 
Layers { nz }; 
Recombine; 
}; 

// Inlet
Physical Surface(30) = {6};

// Outlet
Physical Surface(32) = {72};

// Box volume
Physical Volume (35) = {out1[1], out3[1]};
Physical Volume (36) = {out2[1]};



