
lc = 0.5;

dx = 0.05;
dy = 0.05;
dz = 1.0;

nz = 5;

Point(1) = {0.0,0.0,0.0,lc};
Point(2) = {dx,0.0,0.0,lc};
Point(3) = {dx,dy,0.0,lc};
Point(4) = {0.0,dy,0.0,lc};

Line(1) = {1,2};
Line(2) = {2,3};
Line(3) = {3,4};
Line(4) = {4,1};

Line Loop(5) = {1,2,3,4};

Plane Surface(6) = {5};

Transfinite Surface {6} = {1,4,3,2};

Recombine Surface {6};

out[] = Extrude {0,0,dz} { 
Surface{6}; 
Layers { nz }; 
Recombine; 
};

// Hot surface
Physical Surface(30) = {6};

// Side walls
Physical Surface(31) = {15,19,23,27};

// Cold surface
Physical Surface(32) = {28};

// Box volume
Physical Volume (35) = {out[1]};


